package com.ynet.life.base;

import com.ynet.gene.session.SessionException;
import com.ynet.life.exception.DownloadFileNotFoundException;
import com.ynet.life.exception.DuplicateSubmitException;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifeConstants.class */
public class LifeConstants {
    public static final int DB_TYPE_ORACLE = 1;
    public static final int DB_TYPE_DB2 = 2;
    public static final int DB_TYPE_SYBASE = 3;
    public static final int DB_TYPE_MYSQL = 4;
    public static final String ACTION_POSTFIX = ".do";
    public static final String DEFAULT_ERROR_CODE = "EBLN0000";
    public static final String DEFAULT_DATASOURCE = "ebank_ds";
    public static final String DEFAULT_ERROR_PAGE = "error_default.jsp";
    public static final String DEFAULT_LANGUAGE = "ZH_CN";
    public static final String ZH_CN = "ZH_CN";
    public static final String DEFAULT_CURRENCY_TYPE = "CNY";
    public static final String PROCEDURE_SERVICE_NAME = "JDBCProcedure";
    public static final String FTP_SERVICE_NAME = "FtpService";
    public static final String FIELD_EXCEPTION = "GENEException";
    public static final String FIELD_LANGUAGE = "session_language";
    public static final String FIELD_USER_ID = "session_customerId";
    public static final String FIELD_USER_IP = "session_userRemoteIP";
    public static final String FIELD_USER_MAC = "session_userRemoteMAC";
    public static final String FIELD_USER_AGENT = "session_userRemoteAgent";
    public static final String HTTP_SESSIONID = "http_sessionId";
    public static final String FIELD_LAST_REQUESTID = "session_lastRequestID";
    public static final String SETTINGS_ROOT = "LifeSettings";
    public static final String SETTINGS_BANK = "BankSettings";
    public static final String SETTINGS_DB_TYPE = "DBType";
    public static final String SETTINGS_SCRIPT_FILTER = "enableScriptFilter";
    public static final String SETTINGS_DOWNLOAD_ROOT = "tempDownloadDir";
    public static final String SETTINGS_FILE_ROOT = "fileRootPath";
    public static final String TODELETE_FILE_DOWNLOAD_ROOT = "toDeleteDownloadDir";
    public static final String SETTINGS_FILE_DOWNLOAD_ROOT = "fileDownloadPath";
    public static final String SETTINGS_DOWNLOAD_ROOT_FTP = "ftpDownloadDir";
    public static final String FIELD_DYNAMIC_DATA = "session_dynamicData";
    public static final String TRANSFER_CONFIRM_CODE = "transferConfirmCode";
    public static final String TRANSFER_RECACCOUNT = "recAccount";
    public static final String TRANSFER_RECACCOUNT_NAME = "recAccountName";
    public static final String TRANSFER_PAY_AMOUNT = "payAmount";
    public static final String TRANSFER_PAY_ACCOUNT = "payAccount";
    public static final String FIELD_DOWNLOAD_FILE = "downloadFile";
    public static final String FIELD_DOWNLOAD_PATH = "downloadPath";
    public static final String INPUT_VIEW_KEY = "GENE_INPUTVIEW";
    public static final String INPUT_ERROR_KEY = "GENE_INPUTERROR";
    public static final String ATTR_APP_PARAMS = "appParams";
    public static final String ATTR_SYS_PARAMS = "sysParams";
    public static final String ATTR_SETTINGS = "settings";
    public static final String SET_ATTR_METHOD = "setAttributes";
    public static final String SET_INPUT_METHOD = "setInput";
    public static final String DO_VALIDATION_METHOD = "validateStringValue";
    public static final String DynamicIp = "dynamicIp";
    public static final String DynamicPort = "dynamicPort";
    public static final String DynamicKey = "dynamicKey";
    public static final String ISO8583 = "ISO8583";
    public static final String VARIOUS_STRING_FORMAT = "VariousStringFormat";
    public static final String SESSION_ISSIGN = "session_isSign";
    public static final String SETTINGS_APP_TYPE = "appType";
    public static final String SYSTEM_CODE = "EB";
    public static final String LINK_BUSINESSCODE = "linkBusinessCode";
    public static final String SRC_CHANNEL = "srcChannel";
    public static final String SYN_CACHE_FLAG = "synCacheSessionData";
    public static final String JRB_CHANNEL_FLAG = "JRB";
    public static final String WINDOWISID_MAP = "windowsID_map";
    public static final String KICK_OUT_FLAG = "sessionKickoutFlag";
    public static final String SESSION_KEY = "SESSION_KEY";
    public static final String SETTINGS_DATA_SYNC = "dataSyncControl";
    public static final String OP_INPUT_KCOLL_ID = "flowOpKcollId";
    public static final String SETTINGS_CERT_TYPE = "appCertType";
    public static final String LIFE_TOKEN_FLAG = "LIFE_TOKEN";
    public static final String SFTP_SERVICE_NAME = "sftpService";
    public static final String DOWNLOAD_FLAF_TYPE = "downLoadType";
    public static int DB_TYPE = 4;
    public static String FIELD_PROC_RESULT = "procRetCode";
    public static String FIELD_SUBMIT_TIMESTAMP = "submitTimestamp";
    public static String LIST_SUBMIT_TIMESTAMP = "timestampList";
    public static String TRAN_VERIFICATION_IMAGE = "image";
    public static final SessionException EXCEPTION_SESSION_TIMEOUT = new SessionException();
    public static final TranFailException EXCEPTION_INVALID_PRIVILEGE = new TranFailException("EBLN0005", "交易权限不足", false);
    public static final TranFailException EXCEPTION_INVALID_FORMDATA = new TranFailException("EBLN5005", "数据验证失败");
    public static final DuplicateSubmitException EXCEPTION_DUPLICATE_SUBMIT = new DuplicateSubmitException();
    public static final DownloadFileNotFoundException EXCEPTION_FILE_NOT_FOUND = new DownloadFileNotFoundException();
    public static String dynamicIp = "";
    public static String dynamicPort = "";
    public static String dynamicKey = "";
    public static String FIELD_SUCC_FLAG_TRUE = LifeAction.DEFAULT_RETURN_VALUE;
    public static String FIELD_SUCC_FLAG_FALSE = "1";
    public static String FIELD_CERT_DN = "certDN";
    public static String FIELD_CERT_SERIALNUM = "certSN";
    public static boolean PRODUCT_MODE = true;
    public static String FIELD_CUSTOMER_ID = "cbCustomerId";

    private LifeConstants() {
    }
}
